SDL_test_imageBlitBlend.c File Reference
`#include "SDL_config.h"`
`#include "SDL_test.h"`
Include dependency graph for SDL_test_imageBlitBlend.c:

Go to the source code of this file.

## Functions

SDL_Surface * | SDLTest_ImageBlitBlendAdd ()
| Returns the BlitBlendAdd test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlend ()
| Returns the BlitBlend test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendMod ()
| Returns the BlitBlendMod test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendNone ()
| Returns the BlitBlendNone test image as SDL_Surface. More...
SDL_Surface * | SDLTest_ImageBlitBlendAll ()
| Returns the BlitBlendAll test image as SDL_Surface. More...

## Variables

static const SDLTest_SurfaceImage_t | SDLTest_imageBlitBlendAdd
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitBlend
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitBlendMod
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitBlendNone
static const SDLTest_SurfaceImage_t | SDLTest_imageBlitBlendAll

## Function Documentation

## SDLTest_ImageBlitBlend()

SDL_Surface* SDLTest_ImageBlitBlend | ( | void |  | ) |

Returns the BlitBlend test image as SDL_Surface.

Definition at line 1111 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitBlend(), and surface_testBlitBlendBlend().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitBlend.pixel_data,
SDLTest_imageBlitBlend.width,
SDLTest_imageBlitBlend.height,
SDLTest_imageBlitBlend.bytes_per_pixel * 8,
SDLTest_imageBlitBlend.width * SDLTest_imageBlitBlend.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_imageBlitBlend
static const SDLTest_SurfaceImage_t SDLTest_imageBlitBlend
Definition: SDL_test_imageBlitBlend.c:604
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitBlendAdd()

SDL_Surface* SDLTest_ImageBlitBlendAdd | ( | void |  | ) |

Returns the BlitBlendAdd test image as SDL_Surface.

Definition at line 581 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitBlend(), and surface_testBlitBlendAdd().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitBlendAdd.pixel_data,
SDLTest_imageBlitBlendAdd.width,
SDLTest_imageBlitBlendAdd.height,
SDLTest_imageBlitBlendAdd.bytes_per_pixel * 8,
SDLTest_imageBlitBlendAdd.width * SDLTest_imageBlitBlendAdd.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_imageBlitBlendAdd
static const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendAdd
Definition: SDL_test_imageBlitBlend.c:27
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitBlendAll()

SDL_Surface* SDLTest_ImageBlitBlendAll | ( | void |  | ) |

Returns the BlitBlendAll test image as SDL_Surface.

Definition at line 2822 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitBlend(), and surface_testBlitBlendLoop().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitBlendAll.pixel_data,
SDLTest_imageBlitBlendAll.width,
SDLTest_imageBlitBlendAll.height,
SDLTest_imageBlitBlendAll.bytes_per_pixel * 8,
SDLTest_imageBlitBlendAll.width * SDLTest_imageBlitBlendAll.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_imageBlitBlendAll
static const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendAll
Definition: SDL_test_imageBlitBlend.c:2377
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitBlendMod()

SDL_Surface* SDLTest_ImageBlitBlendMod | ( | void |  | ) |

Returns the BlitBlendMod test image as SDL_Surface.

Definition at line 1541 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitBlend(), and surface_testBlitBlendMod().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitBlendMod.pixel_data,
SDLTest_imageBlitBlendMod.width,
SDLTest_imageBlitBlendMod.height,
SDLTest_imageBlitBlendMod.bytes_per_pixel * 8,
SDLTest_imageBlitBlendMod.width * SDLTest_imageBlitBlendMod.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_imageBlitBlendMod
static const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendMod
Definition: SDL_test_imageBlitBlend.c:1134
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## SDLTest_ImageBlitBlendNone()

SDL_Surface* SDLTest_ImageBlitBlendNone | ( | void |  | ) |

Returns the BlitBlendNone test image as SDL_Surface.

Definition at line 2354 of file SDL_test_imageBlitBlend.c.

References SDLTest_SurfaceImage_t::bytes_per_pixel, SDLTest_SurfaceImage_t::height, SDLTest_SurfaceImage_t::pixel_data, SDL_BIG_ENDIAN, SDL_BYTEORDER, SDL_CreateRGBSurfaceFrom, and SDLTest_SurfaceImage_t::width.

Referenced by render_testBlitBlend(), and surface_testBlitBlendNone().

{
SDL_Surface *surface = SDL_CreateRGBSurfaceFrom(
(void*)SDLTest_imageBlitBlendNone.pixel_data,
SDLTest_imageBlitBlendNone.width,
SDLTest_imageBlitBlendNone.height,
SDLTest_imageBlitBlendNone.bytes_per_pixel * 8,
SDLTest_imageBlitBlendNone.width * SDLTest_imageBlitBlendNone.bytes_per_pixel,
#if (SDL_BYTEORDER == SDL_BIG_ENDIAN)
0xff000000, /* Red bit mask. */
0x00ff0000, /* Green bit mask. */
0x0000ff00, /* Blue bit mask. */
0x000000ff /* Alpha bit mask. */
#else
0x000000ff, /* Red bit mask. */
0x0000ff00, /* Green bit mask. */
0x00ff0000, /* Blue bit mask. */
0xff000000 /* Alpha bit mask. */
#endif
);
return surface;
}
SDLTest_SurfaceImage_t::height
int height
Definition: SDL_test_images.h:52
SDLTest_SurfaceImage_t::width
int width
Definition: SDL_test_images.h:51
surface
EGLSurface surface
Definition: eglext.h:248
SDL_Surface
A collection of pixels used in software blitting.
Definition: SDL_surface.h:69
SDL_CreateRGBSurfaceFrom
#define SDL_CreateRGBSurfaceFrom
Definition: SDL_dynapi_overrides.h:445
SDLTest_imageBlitBlendNone
static const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendNone
Definition: SDL_test_imageBlitBlend.c:1564
SDLTest_SurfaceImage_t::pixel_data
const char * pixel_data
Definition: SDL_test_images.h:54
SDL_BIG_ENDIAN
#define SDL_BIG_ENDIAN
Definition: SDL_endian.h:38
SDLTest_SurfaceImage_t::bytes_per_pixel
unsigned int bytes_per_pixel
Definition: SDL_test_images.h:53
SDL_BYTEORDER
#define SDL_BYTEORDER
Definition: SDL_config_pandora.h:37

## Variable Documentation

## SDLTest_imageBlitBlend

const SDLTest_SurfaceImage_t SDLTest_imageBlitBlend

static

Definition at line 604 of file SDL_test_imageBlitBlend.c.

## SDLTest_imageBlitBlendAdd

const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendAdd

static

Definition at line 27 of file SDL_test_imageBlitBlend.c.

## SDLTest_imageBlitBlendAll

const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendAll

static

Definition at line 2377 of file SDL_test_imageBlitBlend.c.

## SDLTest_imageBlitBlendMod

const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendMod

static

Definition at line 1134 of file SDL_test_imageBlitBlend.c.

## SDLTest_imageBlitBlendNone

const SDLTest_SurfaceImage_t SDLTest_imageBlitBlendNone

static

Definition at line 1564 of file SDL_test_imageBlitBlend.c.